<?php
/**
 * Hooks for importer
 *
 * @package Unero
 */


/**
 * Importer the demo content
 *
 * @since  1.0
 *
 */
function unero_vc_addons_importer() {
	return array(
		array(
			'name'       => 'Home Full Width',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/full-width/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/full-width/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/widgets.wie',
			'pages'      => array(
				'front_page' => 'Shop',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio'
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 480,
					'height' => 480,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),
		),
		array(
			'name'       => 'Home Best Selling',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/best-selling/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/best-selling/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/best-selling/widgets.wie',
			'pages'      => array(
				'front_page' => 'Shop',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio',
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 480,
					'height' => 480,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),
		),
		array(
			'name'       => 'Home Recent Products',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/recent/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/recent/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/recent/widgets.wie',
			'pages'      => array(
				'front_page' => 'Shop',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio',
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),
		),
		array(
			'name'       => 'Home Boxed',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/boxed/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/boxed/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/widgets.wie',
			'pages'      => array(
				'front_page' => 'Home Boxed',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio',
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 480,
					'height' => 480,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),
		),
		array(
			'name'       => 'Home Carousel',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/carousel/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/carousel/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/widgets.wie',
			'pages'      => array(
				'front_page' => 'Home Carousel',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio',
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 480,
					'height' => 480,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),
		),
		array(
			'name'       => 'Home Category',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/category/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/category/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/widgets.wie',
			'pages'      => array(
				'front_page' => 'Home Category',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio',
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 480,
					'height' => 480,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),
		),
		array(
			'name'       => 'Home Grid Background',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/grid-background/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/grid-background/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/grid-background/widgets.wie',
			'pages'      => array(
				'front_page' => 'Home Grid Background',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio',
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 480,
					'height' => 480,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),

		),
		array(
			'name'       => 'Home Minimal',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/minimal/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/minimal/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/widgets.wie',
			'pages'      => array(
				'front_page' => 'Home Minimal',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio',
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 480,
					'height' => 480,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),
		),
		array(
			'name'       => 'Home Modern',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/modern/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/modern/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/widgets.wie',
			'pages'      => array(
				'front_page' => 'Home Modern',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio',
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 480,
					'height' => 480,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),
		),
		array(
			'name'       => 'Home Slider',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/slider/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/slider/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/widgets.wie',
			'pages'      => array(
				'front_page' => 'Home Slider',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio',
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 480,
					'height' => 480,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),
		),
		array(
			'name'       => 'Home Instagram',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/instagram/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/instagram/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/widgets.wie',
			'pages'      => array(
				'front_page' => 'Home Instagram',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio',
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 480,
					'height' => 480,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),
		),
		array(
			'name'       => 'Home Collection',
			'preview'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/collection/preview.jpg',
			'content'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/demo-content.xml',
			'customizer' => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/collection/customizer.dat',
			'widgets'    => 'https://raw.githubusercontent.com/drfuri/demo-content/main/unero/widgets.wie',
			'pages'      => array(
				'front_page' => 'Home Collection',
				'blog'       => 'Blog',
				'shop'       => 'Shop',
				'cart'       => 'Cart',
				'checkout'   => 'Checkout',
				'my_account' => 'My Account',
				'portfolio'  => 'Portfolio',
			),
			'menus'      => array(
				'primary' => 'primary-menu',
			),
			'options'    => array(
				'shop_catalog_image_size'   => array(
					'width'  => 480,
					'height' => 480,
					'crop'   => 1,
				),
				'shop_single_image_size'    => array(
					'width'  => 600,
					'height' => 600,
					'crop'   => 1,
				),
				'shop_thumbnail_image_size' => array(
					'width'  => 70,
					'height' => 70,
					'crop'   => 1,
				),
			),
		),

	);
}

add_filter( 'soo_demo_packages', 'unero_vc_addons_importer', 20 );

/**
 * Update more page options
 *
 * @param $pages
 */
function unero_addons_import_portfolio( $pages ) {

	if ( isset( $pages['portfolio'] ) ) {
		$portfolio = get_page_by_title( $pages['portfolio'] );

		if ( $portfolio ) {
			update_option( 'drf_portfolio_page_id', $portfolio->ID );
		}
	}
}

add_action( 'soodi_after_setup_pages', 'unero_addons_import_portfolio' );


/**
 * Prepare product attributes before import demo content
 *
 * @param $file
 */
function unero_addons_import_product_attributes( $file ) {
	global $wpdb;

	if ( ! class_exists( 'WXR_Parser' ) ) {
		require_once WP_PLUGIN_DIR . '/soo-demo-importer/includes/parsers.php';
	}

	$parser      = new WXR_Parser();
	$import_data = $parser->parse( $file );

	if ( isset( $import_data['posts'] ) ) {
		$posts = $import_data['posts'];

		if ( $posts && sizeof( $posts ) > 0 ) {
			foreach ( $posts as $post ) {
				if ( 'product' === $post['post_type'] ) {
					if ( ! empty( $post['terms'] ) ) {
						foreach ( $post['terms'] as $term ) {
							if ( strstr( $term['domain'], 'pa_' ) ) {
								if ( ! taxonomy_exists( $term['domain'] ) ) {
									$attribute_name = wc_sanitize_taxonomy_name( str_replace( 'pa_', '', $term['domain'] ) );

									// Create the taxonomy
									if ( ! in_array( $attribute_name, wc_get_attribute_taxonomies() ) ) {
										$attribute = array(
											'attribute_label'   => $attribute_name,
											'attribute_name'    => $attribute_name,
											'attribute_type'    => 'select',
											'attribute_orderby' => 'menu_order',
											'attribute_public'  => 0
										);
										$wpdb->insert( $wpdb->prefix . 'woocommerce_attribute_taxonomies', $attribute );
										delete_transient( 'wc_attribute_taxonomies' );
									}

									// Register the taxonomy now so that the import works!
									register_taxonomy(
										$term['domain'],
										apply_filters( 'woocommerce_taxonomy_objects_' . $term['domain'], array( 'product' ) ),
										apply_filters(
											'woocommerce_taxonomy_args_' . $term['domain'], array(
											'hierarchical' => true,
											'show_ui'      => false,
											'query_var'    => true,
											'rewrite'      => false,
										)
										)
									);
								}
							}
						}
					}
				}
			}
		}
	}
}

add_action( 'soodi_before_import_content', 'unero_addons_import_product_attributes' );
